org.apache.ignite.spi.systemview.view

## Class ClusterNodeView

- java.lang.Object
- - org.apache.ignite.spi.systemview.view.ClusterNodeView

    public class ClusterNodeView
    extends Object

Cluster node representation for a `SystemView`.

### Constructor Summary

Constructors
Constructor and Description
`ClusterNodeView(ClusterNode n)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `addresses()`
`String` `consistentId()`
`String` `hostnames()`
`boolean` `isClient()`
`boolean` `isDaemon()`
`boolean` `isLocal()`
`UUID` `nodeId()`
`long` `nodeOrder()`
`String` `version()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClusterNodeView

    public ClusterNodeView(ClusterNode n)

Parameters:
  `n` - Cluster node.

### Method Detail

#### nodeId

    public UUID nodeId()

Returns:
  Node id.
See Also:
  `ClusterNode.id()`

#### consistentId

    public String consistentId()

Returns:
  Node consistend id.
See Also:
  `ClusterNode.consistentId()`

#### addresses

    public String addresses()

Returns:
  Addresses.
See Also:
  `ClusterNode.addresses()`

#### hostnames

    public String hostnames()

Returns:
  Addresses string.
See Also:
  `ClusterNode.hostNames()`

#### nodeOrder

    public long nodeOrder()

Returns:
  Topology order.
See Also:
  `ClusterNode.order()`

#### version

    public String version()

Returns:
  Version.
See Also:
  `ClusterNode.version()`

#### isLocal

    public boolean isLocal()

Returns:
  `True` if node local.
See Also:
  `ClusterNode.isLocal()`

#### isDaemon

    public boolean isDaemon()

Returns:
  `True` if node is daemon.
See Also:
  `ClusterNode.isDaemon()`

#### isClient

    public boolean isClient()

Returns:
  `True` if node is client.
See Also:
  `()`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020